cutlass::NumericArrayConverter< half_t, float, N, Round > Struct Template Reference

Partial specialization for Array<half> <= Array<float>

`#include <numeric_conversion.h>`

## Public Types

using | result_type = Array< half_t, N >
using | source_type = Array< float, N >

## Public Member Functions

CUTLASS_HOST_DEVICE result_type | operator() (source_type const &s)

## Static Public Member Functions

static CUTLASS_HOST_DEVICE result_type | convert (source_type const &source)

## Static Public Attributes

static FloatRoundStyle const | round_style = Round

## Member Typedef Documentation

template<int N, FloatRoundStyle Round>

using cutlass::NumericArrayConverter< half_t, float, N, Round >::result_type = Array<half_t, N>

template<int N, FloatRoundStyle Round>

using cutlass::NumericArrayConverter< half_t, float, N, Round >::source_type = Array<float, N>

## Member Function Documentation

template<int N, FloatRoundStyle Round>

static CUTLASS_HOST_DEVICE result_type cutlass::NumericArrayConverter< half_t, float, N, Round >::convert | ( | source_type const & | source | ) |

inlinestatic

template<int N, FloatRoundStyle Round>

CUTLASS_HOST_DEVICE result_type cutlass::NumericArrayConverter< half_t, float, N, Round >::operator() | ( | source_type const & | s | ) |

inline

## Member Data Documentation

template<int N, FloatRoundStyle Round>

FloatRoundStyle const cutlass::NumericArrayConverter< half_t, float, N, Round >::round_style = Round

static

The documentation for this struct was generated from the following file:

- numeric_conversion.h